Bug 144554 - [patch] add support for DESKTOP_SERVICES variable
[patch] add support for DESKTOP_SERVICES variable
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-xinit (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
bzcl34nup
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-08 01:25 EST by Colin Walters
Modified: 2008-05-06 20:05 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:05:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add DESKTOP_SERVICES variable (3.31 KB, patch)
2005-01-08 01:26 EST, Colin Walters
no flags Details | Diff
dbus launch script (/etc/X11/xinit/xinitrc.d/dbus-launch.sh) (80 bytes, text/plain)
2005-01-17 10:39 EST, Colin Walters
no flags Details

  None (edit)
Description Colin Walters 2005-01-08 01:25:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
Hi,

The attached patch creates a new DESKTOP_SERVICES variable that
scripts in /etc/X11/xinit/xinitrc.d may add to in order to prefix
commands to the desktop login.  I deleted the stuff that hardcodes
dbus-daemon-1; that will be moved into the dbus package.

I need this in order to initialize some ALSA bits in the desktop
session, and I didn't want to go the route of hardcoding something
else in the X init scripts.

Version-Release number of selected component (if applicable):
cvs HEAD

How reproducible:
Always

Steps to Reproduce:
moo
    

Additional info:
Comment 1 Colin Walters 2005-01-08 01:26:32 EST
Created attachment 109508 [details]
add DESKTOP_SERVICES variable

This is against the rhlinux xinitrc CVS HEAD.  The /cvs/dist xinitrc/devel
version seems ancient?
Comment 2 Colin Walters 2005-01-08 01:29:52 EST
Also please ping before this patch goes in so we can concurrently
upload a new dbus package.
Comment 3 Mike A. Harris 2005-01-17 06:55:46 EST
Any suggestions on how we can make this transition smoothly via
rpm dependancies?  If I remove the existing DBUS_LAUNCH stuff,
and someone upgrades to rawhide xinitrc, without also upgrading
to whatever will now provide $DESKTOP_SERVICES, they'll lose
dbus et al.

I want to be very careful about what Requires: lines get put
into the xinitrc packaging also.

If we can't think of a sane way to do this, I suppose I could
bump the xinitrc major version number, and add Conflicts lines
to it to avoid FC3 users from upgrading to it.

Any comments appreciated.  Once we work out the final solution, it
should only take a few minutes to add the necessary changes and
build for FC4.

TIA
Comment 4 Mike A. Harris 2005-01-17 06:57:42 EST
Oh, also... could you please attach the code that sets
DESKTOP_SERVICES as well?  I'd like to review it as well.

TIA
Comment 5 Colin Walters 2005-01-17 10:38:27 EST
The bumping major and Conflicts sounds reasonable to me.  I'd think
that any FC3 user upgrading to random rawhide packages gets what they
deserve, anyways :)

The dbus package of course will have a dependency on the newer xinitrc.
Comment 6 Colin Walters 2005-01-17 10:39:31 EST
Created attachment 109864 [details]
dbus launch script (/etc/X11/xinit/xinitrc.d/dbus-launch.sh)
Comment 7 Mike A. Harris 2005-03-22 10:07:02 EST
I read through this request, and I think it is worthy of reviewing this
more closely for Fedora Core 4.  I'm adding it to the FC4Target tracker
so it has a target assigned to it.  We can always remove it from the
tracker if we decide not to add this, but I think some kind of generic
solution is needed to this problem, and it would be nice for it to be in
FC4.

Comment 8 Mike A. Harris 2005-04-05 11:18:37 EDT
A couple of things I don't like about this approach:

- One bad foo-launch.sh script will break everything

- Commandline length keeps increasing as more and more scripts get
  added.


What would be nicer, would be to have them executed in an alternative
manner somehow.  One thing I thought of (untested, just brainstorming)
was:

desktop-services.d/foo-launch.sh
desktop-services.d/bar-launch.sh

And do:

exec -l $SHELL -c desktop-services "gnome-session"

Of course, if we use either your approach or mine, we force all desktop
services put in there, to load on all desktops/wm setups regardless of
wether they are needed or wanted at all.  And also, in no specific
order.  I wonder if something more like /etc/init.d/* would be more
forward looking and powerful?  There are likely to be numerous new
services in the future, and it might be nice to have a way of turning
them on and off for example, like ntsysv or chkconfig does for our
initscripts.

Any feedback appreciated. 

desktop-services () {
    for service in desktop-services.d/*.sh ; do
        [ -x $service ] && desktop-services.d/$service
    done
}

ANd then do:


Comment 12 Søren Sandmann Pedersen 2007-03-23 12:24:26 EDT
Is this still relevant? CC'ing Monty.
Comment 13 Bug Zapper 2008-04-03 11:48:41 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 14 Bug Zapper 2008-05-06 20:04:58 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.